---
updatedAt: 2026-09-13T14:59:09.000Z
agentTools:
  projectIndex: https://docs.checkhq.com/llms.txt
---

# The employee tax statement object

See the [Employee Tax Statements](https://docs.checkhq.com/docs/employee-tax-statements) guide for more details on how to use this API

### The EmployeeTaxStatement Object

*Fields non-nullable unless specified.*

| **field**            | **type**                     | **description**                                                                                                                                    |
| -------------------- | ---------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`                 | ID                           | ID of the `EmployeeTaxStatement`                                                                                                                   |
| `employee`           | ID                           | ID of the `Employee`                                                                                                                               |
| `company`            | ID                           | ID of the `Company`                                                                                                                                |
| `year`               | int                          | Year in which the filing is for                                                                                                                    |
| `amends`             | **nullable** ID              | ID of the previous `EmployeeTaxStatement` that this resource amends. If populated, indicator of this `Filing` being an amendment.                  |
| `amended_by`         | **nullable** ID              | ID of the next `EmployeeTaxStatement` that amends this employee data.                                                                              |
| `document`           | **nullable** ID              | If filed, the ID of the `EmployeeDocument`.                                                                                                        |
| `filings`            | list of IDs                  | List of IDs that are the company `Filings` in which this worker data has been submitted                                                            |
| `filed_at`           | **nullable** datetime in UTC | (deprecated): ISO8601 datetime when all related filings became successfully `filed`.                                                               |
| `published_at`       | **nullable** datetime in UTC | ISO8601 datetime when the `EmployeeTaxStatement` was published to the employee.                                                                    |
| `publication_status` | enum                         | The publication status of the `EmployeeTaxStatetement`. One of `draft`, `published`, or `pending_correction`.                                      |
| `delivery_method`    | enum                         | How the `EmployeeTaxStatement` will be delivered. `manual` for self-service/download, `mail` for physical mail delivery.                           |
| `mail_recipient`     | **nullable** enum            | When `delivery_method` is `mail`, specifies who receives the mailed document. One of `employee` or `company`. Null when delivery method is manual. |

When `document` is null, that means the document is not yet generated. You can generate the document by sending a post request to `/tax_packages` with the employees for which you want to generate a document.

`GET /employee_tax_statements/?employee=emp_123`

List W-2 and W-2Cs for a single employee.

```json
[
  {
    "id": "ets_789",
    "employee": "emp_123",
    "company": "com_123",
    "year": 2025,
    "amends": null,
    "amended_by": null,
    "document": null,
    "filings": ["com_fil_999"],
    "filed_at": null,
    "published_at": null,
    "publication_status": "draft",
    "delivery_method": "manual",
    "mail_recipient": null
  },
  {
    "id": "ets_456",
    "employee": "emp_123",
    "company": "com_123",
    "year": 2024,
    "amends": "ets_123",
    "amended_by": null,
    "document": "doc_456",
    "filings": ["com_fil_789", "com_fil_888"],
    "filed_at": "2025-02-10T15:30:00Z",
    "published_at": "2025-02-10T15:30:00Z",
    "publication_status": "published",
    "delivery_method": "mail",
    "mail_recipient": "employee"
  },
  {
    "id": "ets_123",
    "employee": "emp_123",
    "company": "com_123",
    "year": 2024,
    "amends": null,
    "amended_by": "ets_456",
    "document": "doc_123",
    "filings": ["com_fil_123", "com_fil_234"],
    "filed_at": "2025-02-10T15:30:00Z",
    "published_at": "2025-02-10T15:30:00Z",
    "publication_status": "published",
    "delivery_method": "mail",
    "mail_recipient": "company"
  }
]
```